Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.databeans.chart
Class LabelAwareChartDataSource

`java.lang.Object
oracle.jbo.html.databeans.chart.ChartDataSource
oracle.jbo.html.databeans.chart.MappedChartDataSource
oracle.jbo.html.databeans.chart.LabelAwareChartDataSource`

All Implemented Interfaces:
  tdg.data.in.TDGDataGrid

Direct Known Subclasses:
  ColOrderChartDataSource, RowOrderChartDataSource

public class LabelAwareChartDataSource
extends MappedChartDataSource

Data source for the chart control which implements method to return labels. By default column 0 is used as labels for the row

Version:
  Internal
See Also:
  `ChartLabelDataSource`

Field Summary
`protected boolean` | `_useFirstColumnAsRowLabel`

Fields inherited from class oracle.jbo.html.databeans.chart.ChartDataSource
`_parent, _qView, _rows`

Constructor Summary
`LabelAwareChartDataSource(tdg.Perspective parent)` Constructor

Method Summary
`java.lang.Object` | `columnLabel(int i)`
`java.lang.Object[]` | `getColumnLabel()`
`ChartLabelDataSource` | `getColumnLabelDataSource()`
`int` | `getColumns()`
`java.lang.Object[]` | `getRowLabel()` get row label list
`int` | `getRowLabelColumnIndex()`
`java.lang.String` | `getRowLabelColumnName()`
`ChartLabelDataSource` | `getRowLabelDataSource()`
`int` | `getRows()`
`boolean` | `getUseFirstColumnAsRowLabel()`
`java.lang.Object` | `getValue(int row, int col)`
`void` | `initialize()` This method should be invoked after the View object has been set.
`java.lang.Object` | `rowLabel(int i)`
`void` | `setColumnLabel(java.lang.Object[] labels)`
`void` | `setColumnLabelDataSource(ChartLabelDataSource labelSource)` Specify data source for row labels.
`void` | `setRowLabel(java.lang.Object[] labels)` Specify an arbitary list of labels to be used as row labels
`void` | `setRowLabelColumnIndex(int columnIndex)` Specify the column index, whose column values should be used for the row label.
`void` | `setRowLabelColumnName(java.lang.String columnName)`
`void` | `setRowLabelDataSource(ChartLabelDataSource labelSource)` Specify data source for row labels.
`void` | `setRowSet(RowSet qView)`
`void` | `setUseFirstColumnAsRowLabel(boolean flag)`

Methods inherited from class oracle.jbo.html.databeans.chart.MappedChartDataSource
`_getColumnIndex, _getColumnName, _initMap, _mapColumnIndex, getMappingColumnIndices, getMappingColumnNames, setMappingColumnIndices, setMappingColumnNames`

Methods inherited from class oracle.jbo.html.databeans.chart.ChartDataSource
`_updateChart, getFootnote, getO1AxisTitle, getO2AxisTitle, getRowSet, getSubtitle, getTitle, getX1AxisTitle, getY1AxisTitle, getY2AxisTitle, isDirty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _useFirstColumnAsRowLabel

    protected boolean _useFirstColumnAsRowLabel

Constructor Detail

### LabelAwareChartDataSource

    public LabelAwareChartDataSource(tdg.Perspective parent)

  Constructor

Method Detail

### setUseFirstColumnAsRowLabel

    public void setUseFirstColumnAsRowLabel(boolean flag)

### getUseFirstColumnAsRowLabel

    public boolean getUseFirstColumnAsRowLabel()

### setRowSet

    public void setRowSet(RowSet qView)

  Overrides:
    `setRowSet` in class `ChartDataSource`

### initialize

    public void initialize()

  This method should be invoked after the View object has been set.
  Overrides:
    `initialize` in class `MappedChartDataSource`

### columnLabel

    public java.lang.Object columnLabel(int i)

  Specified by:
    `columnLabel` in interface `tdg.data.in.TDGDataGrid`
  Specified by:
    `columnLabel` in class `ChartDataSource`

### getColumns

    public int getColumns()

  Specified by:
    `getColumns` in interface `tdg.data.in.TDGDataGrid`
  Overrides:
    `getColumns` in class `MappedChartDataSource`

### rowLabel

    public java.lang.Object rowLabel(int i)

  Specified by:
    `rowLabel` in interface `tdg.data.in.TDGDataGrid`
  Specified by:
    `rowLabel` in class `ChartDataSource`

### getRows

    public int getRows()

  Specified by:
    `getRows` in interface `tdg.data.in.TDGDataGrid`
  Overrides:
    `getRows` in class `ChartDataSource`

### getValue

    public java.lang.Object getValue(int row,
                                     int col)

  Specified by:
    `getValue` in interface `tdg.data.in.TDGDataGrid`
  Overrides:
    `getValue` in class `MappedChartDataSource`

### setRowLabelDataSource

    public void setRowLabelDataSource(ChartLabelDataSource labelSource)

  Specify data source for row labels. The labels could be
  - column values of a table
  - column names (display names) of a table

  The dataitem name of the column should be specified to indicate the column values of a table

  The dataitem name of the rowset should be specified to indicate the column display name of some table

  Specified by:
    `setRowLabelDataSource` in class `ChartDataSource`
  Parameters:
    `labelSource` - of the column values or the rowset
  See Also:
    `setRowLabelDataSource(ChartLabelDataSource)`

### getRowLabelDataSource

    public ChartLabelDataSource getRowLabelDataSource()

  Specified by:
    `getRowLabelDataSource` in class `ChartDataSource`

### setRowLabelColumnName

    public void setRowLabelColumnName(java.lang.String columnName)

### getRowLabelColumnName

    public java.lang.String getRowLabelColumnName()

### setRowLabelColumnIndex

    public void setRowLabelColumnIndex(int columnIndex)

  Specify the column index, whose column values should be used for the row label. Specifying columnIndex 0, means that the

### getRowLabelColumnIndex

    public int getRowLabelColumnIndex()

### setRowLabel

    public void setRowLabel(java.lang.Object[] labels)

  Specify an arbitary list of labels to be used as row labels
  Specified by:
    `setRowLabel` in class `ChartDataSource`

### getRowLabel

    public java.lang.Object[] getRowLabel()

  get row label list
  Specified by:
    `getRowLabel` in class `ChartDataSource`

### setColumnLabelDataSource

    public void setColumnLabelDataSource(ChartLabelDataSource labelSource)

  Specify data source for row labels. The labels could be
  - column values of a table
  - column names (display names) of a table

  The dataitem name of the column should be specified to indicate the column values of a table

  The dataitem name of the rowset should be specified to indicate the column display name of some table

  Specified by:
    `setColumnLabelDataSource` in class `ChartDataSource`
  Parameters:
    `labelSource` - of the column values or the rowset
  See Also:
    `setRowLabelDataSource(ChartLabelDataSource)`

### getColumnLabelDataSource

    public ChartLabelDataSource getColumnLabelDataSource()

  Specified by:
    `getColumnLabelDataSource` in class `ChartDataSource`

### setColumnLabel

    public void setColumnLabel(java.lang.Object[] labels)

  Specified by:
    `setColumnLabel` in class `ChartDataSource`

### getColumnLabel

    public java.lang.Object[] getColumnLabel()

  Specified by:
    `getColumnLabel` in class `ChartDataSource`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.